Subject: bug#34236: scons does not run

From: Luther Thompson <[email-masked]>
Date: Tue, 29 Jan 2019 13:02:56 -0500

On Tue, 29 Jan 2019 09:35:19 +0100
Ricardo Wurmus <[email-masked]> wrote:
> I guess we’ll also need to patch
> “lib/scons/SCons/Platform/__init__.py” in the same manner then.
> 
> Could you tell me how I should run scons to reproduce this issue?  (I
> don’t know anything about scons.)

Sure. I'll post the commands along with the output I posted before.
Note that `Environment` is a fundamental function that gets called in
just about every SConstruct file.

---BEGIN---
$ mkdir emptydirectory
mkdir: created directory 'emptydirectory'
$ cd emptydirectory/
$ touch SConstruct
$ scons
scons: Reading SConscript files ...
scons: done reading SConscript files.
TypeError: a bytes-like object is required, not 'str':
  File "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Script/Main.py", line 1374:
    _exec_main(parser, values)
  File "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Script/Main.py", line 1337:
    _main(parser)
  File "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Script/Main.py", line 1103:
    platform = SCons.Platform.platform_module()
  File "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Platform/__init__.py", line 107:
    mod = imp.load_module(full_name, file, path, desc)
  File "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp.py", line 235:
    return load_source(name, filename, file)
  File "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp.py", line 172:
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 696:
    
  File "<frozen importlib._bootstrap>", line 677:
    
  File "<frozen importlib._bootstrap_external>", line 724:
    
  File "<frozen importlib._bootstrap_external>", line 838:
    
$ echo 'Environment()' > SConstruct
$ scons
scons: Reading SConscript files ...
TypeError: a bytes-like object is required, not 'str':
  File "/home/luther/emptydirectory/SConstruct", line 1:
    Environment()
  File "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Environment.py", line 939:
    platform = SCons.Platform.Platform()
  File "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Platform/__init__.py", line 263:
    module = platform_module(name)
  File "/gnu/store/z5r8ka0g4iib73pr2zvkhglclzh4azp0-scons-3.0.3/lib/scons/SCons/Platform/__init__.py", line 107:
    mod = imp.load_module(full_name, file, path, desc)
  File "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp.py", line 235:
    return load_source(name, filename, file)
  File "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp.py", line 172:
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 696:
    
  File "<frozen importlib._bootstrap>", line 677:
    
  File "<frozen importlib._bootstrap_external>", line 724:
    
  File "<frozen importlib._bootstrap_external>", line 838:
    
---END---

Luther